Uploaded image for project: 'Couchbase Python Client Library'
  1. Couchbase Python Client Library
  2. PYCBC-1033

Python SDK 3.0.5 exception on import

    XMLWordPrintable

Details

    • Bug
    • Status: Resolved
    • Critical
    • Resolution: Fixed
    • 3.0.5
    • 3.0.7
    • None
    • None
    • ubuntu 18.04, python 3.8.2
    • 1
    • SDK48: FTS Score/Incl, Docs.

    Description

      >>> from couchbase.cluster import Cluster, ClusterOptions
      Traceback (most recent call last):
      File "/usr/local/lib/python3.8/dist-packages/couchbase_core/_pyport.py", line 57, in <module>
      from six import with_metaclass
      ModuleNotFoundError: No module named 'six'

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
      File "<stdin>", line 1, in <module>
      File "/usr/local/lib/python3.8/dist-packages/couchbase/_init_.py", line 1, in <module>
      import couchbase_core._bootstrap
      File "/usr/local/lib/python3.8/dist-packages/couchbase_core/_init_.py", line 67, in <module>
      from couchbase_core._pyport import ulp, with_metaclass
      File "/usr/local/lib/python3.8/dist-packages/couchbase_core/_pyport.py", line 59, in <module>
      from future.utils import with_metaclass
      ModuleNotFoundError: No module named 'future'
      >>> quit()
      root@456d2367ffd8:/# python3 -m pip uninstall couchbase
      Found existing installation: couchbase 3.0.5

      Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

        Activity

          Ellis.Breen Ellis Breen added a comment - - edited

          Apologies, I should add that to requirements.txt. The workaround for now is to run:

          pip install six
          

          It looks like it was a transitive dependency, so maybe that's changed. We shouldn't be relying on transitive dependencies, of course.

          Ellis.Breen Ellis Breen added a comment - - edited Apologies, I should add that to requirements.txt. The workaround for now is to run: pip install six It looks like it was a transitive dependency, so maybe that's changed. We shouldn't be relying on transitive dependencies, of course.
          david.kelly David Kelly added a comment -

          fixed in fdbe1188e8e90e88e6a011618361ad8304e091e1.

          david.kelly David Kelly added a comment - fixed in fdbe1188e8e90e88e6a011618361ad8304e091e1.

          People

            david.kelly David Kelly
            bbryant Benjamin Bryant [X] (Inactive)
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:

              Gerrit Reviews

                There are no open Gerrit changes

                PagerDuty